diff options
author | B. Stack <bgstack15@gmail.com> | 2023-08-30 15:57:51 -0400 |
---|---|---|
committer | B. Stack <bgstack15@gmail.com> | 2023-08-30 15:57:51 -0400 |
commit | 98f07db8573a4ae22472e63415cbf2b6dd6b2080 (patch) | |
tree | 131ac1298723da07359c69b11225892780da75d8 /entrypoint.sh | |
parent | add cron example for fetching feeds (diff) | |
download | newspipe-docker-98f07db8573a4ae22472e63415cbf2b6dd6b2080.tar.gz newspipe-docker-98f07db8573a4ae22472e63415cbf2b6dd6b2080.tar.bz2 newspipe-docker-98f07db8573a4ae22472e63415cbf2b6dd6b2080.zip |
WIP: add reverse-proxy support
Diffstat (limited to 'entrypoint.sh')
-rwxr-xr-x | entrypoint.sh | 4 |
1 files changed, 3 insertions, 1 deletions
diff --git a/entrypoint.sh b/entrypoint.sh index 7e67c87..6edba0f 100755 --- a/entrypoint.sh +++ b/entrypoint.sh @@ -19,8 +19,10 @@ case "${1}" in *) cd /newspipe git fetch || : ; - git checkout "${NEWSPIPE_BRANCH}" || { echo "Invalid branch ${NEWSPIPE_BRANCH}" 1>&2 ; exit 1 ; } + test -f instance/config.py && cp -pf instance/config.py instance/config.py1 + git checkout -f "${NEWSPIPE_BRANCH}" || { echo "Invalid branch ${NEWSPIPE_BRANCH}" 1>&2 ; exit 1 ; } git pull || : ; + test -f instance/config.py1 && mv -f instance/config.py1 instance/config.py _host="${1:-${NEWSPIPE_HOST}}" _port="${2:-${NEWSPIPE_PORT}}" set -x |